
sub read_alert_variables
{
	my($fname) = @_;
	my($foo, $bar, @baz);

	open(FILE, "<$fname") || (die "Couldn't read $fname");
	while(<FILE>)
	{
		/^(\s*)$/ && next;
		/^#/ && next;
		chomp;
		/^max_alert(\s+)(\d+)/ && (($max_alert = $2), next);
		@baz = split('\t+', $_);
		($#baz < 1) && next;
		$foo = shift(@baz);
		$threshold_msg{$foo} = shift(@baz);
		while(@baz)
		{
			$bar = shift(@baz);
			($bar =~ /(\d+)-(\w+):(\d+)/) || next;
			$threshold_low{$foo}{$3} = $1;
			$threshold_high{$foo}{$3} = $2;
		}
		push(@threshold_variables, $foo);
	}
	close(FILE);
}

1;

